Name:          libfreeglut
Version:       3.0.0
Release:       1mamba
Summary:       GLUT (and hence freeglut) allows the user to create and manage windows containing OpenGL contexts
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://freeglut.sourceforge.net/
Source:        http://downloads.sourceforge.net/project/freeglut/freeglut/%{version}/freeglut-%{version}.tar.gz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libGL-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libXi-devel
BuildRequires: libXrandr-devel
BuildRequires: libXxf86vm-devel
## AUTOBUILDREQ-END
Provides:      libGLUT
Obsoletes:     libGLUT
Provides:      libglut
Obsoletes:     libglut
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%debug_package

%description
freeglut is a completely OpenSourced alternative to the OpenGL Utility Toolkit (GLUT) library. GLUT was originally written by Mark Kilgard to support the sample programs in the second edition OpenGL 'RedBook'. Since then, GLUT has been used in a wide variety of practical applications because it is simple, widely available and highly portable.

GLUT (and hence freeglut) allows the user to create and manage windows containing OpenGL contexts on a wide range of platforms and also read the mouse, keyboard and joystick functions.

freeglut is released under the X-Consortium license.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Provides:      libGLUT-devel
Obsoletes:     libGLUT-devel
Provides:      libglut-devel
Obsoletes:     libglut-devel

%description devel
freeglut is a completely OpenSourced alternative to the OpenGL Utility Toolkit (GLUT) library. GLUT was originally written by Mark Kilgard to support the sample programs in the second edition OpenGL 'RedBook'. Since then, GLUT has been used in a wide variety of practical applications because it is simple, widely available and highly portable.

GLUT (and hence freeglut) allows the user to create and manage windows containing OpenGL contexts on a wide range of platforms and also read the mouse, keyboard and joystick functions.

freeglut is released under the X-Consortium license.

This package contains libraries and header files for developing applications that use %{name}.

%prep
%setup -q -n freeglut-%{version}

%build
%cmake -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
 %{_libdir}/libglut.so.*
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%{_includedir}/GL/freeglut*.h
%{_includedir}/GL/glut.h
%{_libdir}/libglut.a
#%{_libdir}/libglut.la
%{_libdir}/libglut.so
%{_libdir}/pkgconfig/freeglut.pc
%doc ChangeLog README

%changelog
* Tue Apr 14 2015 Automatic Build System <autodist@mambasoft.it> 3.0.0-1mamba
- automatic update by autodist

* Tue Apr 09 2013 Automatic Build System <autodist@mambasoft.it> 2.8.1-1mamba
- automatic version update by autodist

* Sun Feb 19 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.8.0-2mamba
- provide libglut and libglut-devel

* Fri Feb 17 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.8.0-1mamba
- package created by autospec
